html, body, div, span, iframe, a,
h1, h2, h3, h4, h5, h6, p, pre, code, em, img, small, strong, b, u, i, ol, ul, li, fieldset, form,
label, article, aside, figure, nav, figcaption, footer, header, hgroup, menu, section, mark, audio,
video {
  border: 0;
  margin: 0;
  padding: 0;
  vertical-align: baseline;
}

html {
  font-size: 62.5%;
  -webkit-font-smoothing: subpixel-antialiased;
  -moz-osx-font-smoothing: grayscale;
  -webkit-text-size-adjust: none;
}

html, body, [id="root"] {
  height: 100%;
}

body {
  background-color: $color-main;
  color: $color-black;
  // font-family: 'Sarabun', sans-serif;
  font-family: 'Roboto', sans-serif;
  // overflow-x: hidden;
}

input, textarea, button, a, :focus {
  outline: 0;
}

ol, ul {
  list-style: none;
}

input, textarea, p, li, a {
  font-size: 1.4rem;
}

pre, code {
  font-size: 1.2rem;
  overflow: hidden;
  text-overflow: ellipsis;
}

input, textarea {
  font-weight: 600;
}

p, li {
  line-height: 1.5em;
}

a {
  text-decoration: none;
  color: $color-link;
}

th {
  font-weight: 600 !important;
}

iframe, img {
  max-width: 100%;
}

button {
  text-transform: initial !important;
}

*, *:before, *:after {
  box-sizing: border-box;
  outline: 0;
}

hr {
  border: 0;
  margin: 3rem 0;
  padding: 0;
  border-top: .1rem solid #ddd;
}

h1, h2, h3, h4, h5, h6 {
  color: $color-black;
  line-height: 1.35em;
  padding-bottom: 1.5rem;
}

h1 {
  font-size: 2rem;
  font-weight: 600;
  text-transform: uppercase;
  @include mobile-lg {
    font-size: 1.8rem;
  }
}

h2 {
  font-size: 1.8rem;
  font-weight: 600;
  @include mobile-lg {
    font-size: 1.6rem;
  }
}

h3 {
  font-size: 1.6rem;
  @include mobile-lg {
    font-size: 1.6rem;
  }
}

h4 {
  font-size: 1.4rem;
}

h5, h6 {
  font-size: 1.2rem;
}
